Previous 1 2 3 4 5 Next 486 Replies Latest reply: Mar 17, 2015 9:54 AM by APPLE ACADEMICS Go to original post Branched to a new discussion.
  • ultraprime Level 1 Level 1 (0 points)

    I do not agree.

    Maybe it is not as easy as before to put is all in one release, but....

     

    WhatsApp can still let us use the old version (as it worked yesterday)

    It is their dessicion to let us all fail in the verification mode and thus stopping our use of WhatsApp all of a sudden.

    (if they can detect that the version is old and not send a code, they can also send a message with a warning: this is an old version, not supported anymore and add the 3 number code!)

    They can put the old version in the iTunes store as WhatsApp-3G or so.

    If the App could communicatie yesterday, why shouldn't it be possible tomorrow?

    They cashed millions for all the 3G users in the past.

    They can easily let us use the old version on a 'as is' basis.

    (ok, if we are missing some fancy new options, text and a picture should stay possible?)

  • ihasny Level 1 Level 1 (0 points)

    Indirectly its an Apple issue, I was a great apple product fan. But the way Apple stop the compaitibilty of iphone 3G and all other older iphone firmware support, this clearly means you discard your old phone and buy the iphone 5.

    This is a wrong marketing and an unfair practice. What will happen when apple launch iphone 6 and discard iphone 5, then users have to buy another phone, with in few months.

    Now a days people are enjoying iphone 5 , but what will happen after apple will discard this phone also, as the practice shows Apple will do that. Even with new phone the charger is different, which you cannot use on any iphone , this is a wrong practice, and like me people will leave apple, I still like apple products, but not its policy , and will not submit myself to its unfair policies.... I feel like moving to some other product ... I wish Apple will do something to it

  • KiltedTim Level 8 Level 8 (44,840 points)

    So Apple should never update any of their products again, just so you can keep you ancient, discontinued phone current... Yeah... right... They can be competitive that way... NOT.

     

    Try getting an update for an Android phone half that old. Let me know how that works out for you.

  • Oyitchy Level 1 Level 1 (0 points)

    KiltedTim wrote:

     

    So Apple should never update any of their products again, just so you can keep you ancient, discontinued phone current... Yeah... right... They can be competitive that way... NOT.

     

    Try getting an update for an Android phone half that old. Let me know how that works out for you.

    Maybe it because Android are not as funded and popular as Apple... Maybe if the right bussiness came in and make a steady money income they will be happy enough? So is it because Apple has been human and is wanting more and more? Trouble is most bussinesses get told to always make money and thats all, and this happens.

  • KiltedTim Level 8 Level 8 (44,840 points)

    Dude... Really... Try living in the real world instead of whatever fantasy land you're in.

  • Oyitchy Level 1 Level 1 (0 points)

    KiltedTim wrote:

     

    Dude... Really... Try living in the real world instead of whatever fantasy land you're in.

    Wow hang on, dont you think we are moving a little to fast? How long as it taken us to get to this technoligy? Your in a fantasy land as you most have the money to buy every new phone out?

  • AlexRmF Level 1 Level 1 (0 points)

    same thing for me and I tried all types of workarounds I can think of... I wrote both apple and the whatsapp devs but I only got an answer from Apple saying that my case landed with the wrong team

    I really can't understand why they aren't allowing the use of the "old" app which worked very well on the iPhone 3G up until the 2.8.4 after which it switched to iOS 4.3.

    The devs should've warned us that the 3G will no longer be supported once they were setting the iOS 4.3 restriction.

    This should also make apple force developers into supporting the older devices and have the older app versions available alongisde the new ones running on the newer versions of iOS

    This could also be a tactic from both apple and the devs to determine people to change their old phones, but if they contine playing it the only thing they'll do is push us over to Android... I'm actually thinking of going Android now because the iPhone is just too expensive for what it offers and once it gets too old you'll just keep it as a souvenir because there won't be any software left for it to run (same as it happened for the original and the 3G)

  • Meg St._Clair Level 8 Level 8 (45,540 points)

    Talk about First World problems......

  • KiltedTim Level 8 Level 8 (44,840 points)

    You may want to do a little research on how long android phones manage to get OS updates before you seriously consider that.

     

    http://theunderstatement.com/post/11982112928/android-orphans-visualizing-a-sad- history-of-support

     

    016a_android_orphans.png

  • AlexRmF Level 1 Level 1 (0 points)

    if android lets me use older versions that work for my phone i'm fine with their support policy Apple doesn't allow that and their hardware is too expensive for regular updates, not to mention the feeling you get when you're shown the back door and told to leave because your hardware is no longer stellar (but it's not that bad to throw away either). so.. your point was?

     

    <Edited by Host>

  • AlexRmF Level 1 Level 1 (0 points)

    This is the answer I just got from whatsapp support:

     

    Hi,

    Thanks for your message.

    In order to connect to WhatsApp, or activate your number, you will need the latest version of WhatsApp Messenger - v2.8.7 - available from the App Store on your iPhone. Please note that iPod and iPad are not supported devices.

    The latest version of WhatsApp for iPhone requires iOS 4.3 or later. Regretfully, Apple does not allow new app updates to be compatible with both iOS 6 and older versions of iOS, effectively ending support for the iPhone 3G. Because of Apple's decision to stop supporting these devices, we can no longer provide new app updates for iPhone 3G users.

    If you have an iPhone 3GS or newer device, please update to the latest version of iOS. Instructions for updating can be found at this Apple Support page: http://support.apple.com/kb/HT4972

    WhatsApp is also supported on Android, Windows Phone, BlackBerry, and select Nokia devices. Find out more at http://www.whatsapp.com/

     

    As it turns out Apple is to blame afterall... no surprise here

  • ultraprime Level 1 Level 1 (0 points)

    Got the same default anwer, that's why I put the 'I don't agree' points at the start of page 3

  • Cherylarmiu Level 1 Level 1 (0 points)

    Yeah I just emailed whatsapp and got the same response. 

     

    Despite neither the iOS or the new whatsapp version were installed, either way... Whatsapp just stopped working overnight... Couldn't help but to feel a bit victimised for being happy with my good old iPhone 3G, it really did leave a bad taste in my mouth!

     

    Can't they just leave the older version of whatsapp the way it was for the 3G users? Really annoyed now!

  • Landita Level 1 Level 1 (0 points)

    Apple ***** really badly. iPhone 3G has no longer support as it will be the case of the 3GS soon. When your apps stop working you will ask yourself if apple was the right choice. I'm definitely moving to Android.

  • FelipeV Level 5 Level 5 (5,995 points)

    Good for you, and you will discover that Android's supports its products for an even shoerter time than Apple. You obviously have not read this entire thread...

Previous 1 2 3 4 5 Next